Package org.apache.felix.webconsole

## Interface AttachmentProvider

    @Deprecated
    @ConsumerType
    public interface AttachmentProvider

Deprecated.
This has been deprecated. Use the org.apache.felix.inventory API instead.
This is an optional extension of the `ConfigurationPrinter`. If a configuration printer implements this interface, the printer can add additional attachments to the output of the configuration rendering. Currently this is only supported for the ZIP mode. A service implementing this method must still register itself as a `ConfigurationPrinter` but not as a `AttachmentProvider` service.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`URL[]` `getAttachments​(String mode)` Deprecated. Return an array of attachments for the given render mode.

### Method Detail

#### getAttachments

    URL[] getAttachments​(String mode)

Deprecated.
Return an array of attachments for the given render mode. The returned list should contain URLs pointing to the attachments for this mode.

Parameters:
  `mode` - The render mode.
Returns:
  An array of URLs or null.